#
# spec file for package libwrc
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libwrc
%define lname	libwrc1
%define timestamp 20160111
Version:        0~%timestamp
Release:        lp150.1.3
Summary:        Library to support the Windows Resource Compiler format
License:        LGPL-3.0+
Group:          Productivity/File utilities
Url:            https://github.com/libyal/libwrc/wiki
Source:         https://github.com/libyal/libwrc/releases/download/%timestamp/%name-experimental-%timestamp.tar.gz
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(libbfio) >= 20120426
BuildRequires:  pkgconfig(libcdata) >= 20120425
BuildRequires:  pkgconfig(libcfile) >= 20120526
BuildRequires:  pkgconfig(libclocale) >= 20130609
BuildRequires:  pkgconfig(libcnotify) >= 20120425
BuildRequires:  pkgconfig(libcpath) >= 20130609
BuildRequires:  pkgconfig(libcsplit) >= 20130904
BuildRequires:  pkgconfig(libexe) >= 20120405
BuildRequires:  pkgconfig(libfcache) >= 20120405
BuildRequires:  pkgconfig(libfdata) >= 20120405
BuildRequires:  pkgconfig(libfdatetime) >= 20130317
BuildRequires:  pkgconfig(libfguid) >= 20130317
BuildRequires:  pkgconfig(libfvalue) >= 20120428
BuildRequires:  pkgconfig(libfwevt) >= 20120426
BuildRequires:  pkgconfig(libfwnt) >= 20120426
BuildRequires:  pkgconfig(libuna) >= 20130728
#  The following packages cause build failures if factory version is used, 
# verified 1/12/2015
#BuildRequires:  pkgconfig(libcerror) >= 20120425
#BuildRequires:  pkgconfig(libcstring) >= 20120425
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libwrc is a library to support the Windows Resource Compiler format.

%package -n %lname
Summary:        Library to support the Windows Resource Compiler format
Group:          System/Libraries

%description -n %lname
libwrc is a library to support the Windows Resource Compiler format.

%package devel
Summary:        Development files for libwrc, a Windows Resouce Compiler format support library
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
libwrc is a library to support the Windows Resource Compiler format.

This subpackage contains libraries and header files for developing
applications that want to make use of libwrc.

%package tools
Summary:        Utilities to inspect Windows Resource Compiler files
Group:          Productivity/File utilities

%description tools
This subpackage provides the utilities from libwrc, which allows for
reading Windows Resource Compiler files.

%prep
%setup -qn libwrc-%timestamp

%build
%configure --disable-static --enable-wide-character-type
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"
rm -f "%buildroot/%_libdir"/*.la

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%_libdir/libwrc.so.1*

%files devel
%defattr(-,root,root)
%_includedir/libwrc*
%_libdir/libwrc.so
%_libdir/pkgconfig/libwrc.pc
%_mandir/man3/libwrc.3*

%files tools
%defattr(-,root,root)
%_bindir/wrcinfo
%_mandir/man1/wrcinfo.1*

%changelog
* Wed Feb  3 2016 Greg.Freemyer@gmail.com
-  update to v0~20160111
  * worked on Python 3 support
  * 2016 update
  * code clean up
* Mon Jan 12 2015 Greg.Freemyer@gmail.com
- update to v0~20150105
  * 2015 update
  * worked on Python 3 support
  * worked on tests
  * added Windows codepage 932, 936 and 1255 support
  * code clean up
  * bug fix in Python-bindings
- update URL to the new github site
- replace Source: field with fully defined URL
- remove DL-URL comment
- start using new libyal packages from OBS, not internal version
* Thu Aug 14 2014 Greg.Freemyer@gmail.com
- updated to v0~20140803
  * bug fix in Python-bindings
  * updated dependencies
  * Worked on Python bindings
  * worked on format support
  * worked on stripping trailing 0-byte values from message table strings
  * improved handling of version resource
  * Worked on Python bindings
  - clean up and bug fixes
  - added MUI type support
  * small fixes for file IO handle opened in library changes
  * 2014 update
* Wed Oct 23 2013 Greg.Freemyer@gmail.com
- updated to v0~20131017
  * updated dependencies
  * worked on libcthreads build support
  * Worked on version resource support
  * added pywrc
  * 2013 update
  * changes for libfdata update
- converted to gz compression to eliminate conversion during update
- verified BuildRequires and used version from factory when possible
* Mon Apr 22 2013 Greg.Freemyer@gmail.com
- re-organize BuildRequires and comment why commented out
- uncomment BuildRequires (libcnotify) since the version in factory seems to work fine
- ran spec-cleaner
* Wed Apr  3 2013 jengelh@inai.de
- Initial package (version 0~20121225) for build.opensuse.org
